/*            Copyright (C) 2001, 2002, 2003 Stijn van Dongen
 *
 * This file is part of Zoem. You can redistribute and/or modify Zoem under the
 * terms of the GNU General Public License;  either version 2 of the License or
 * (at your option) any later  version.  You should have received a copy of the
 * GPL along with Zoem, in the file COPYING.
*/

#ifndef zoem_iface_h__
#define zoem_iface_h__

void showTracebits
(  void
)  ;

extern int ENTRY_EXXIT   ;
extern int ENTRY_SPLIT   ;
extern int ENTRY_DEBUG   ;
extern int ENTRY_STDIA   ;
extern int ENTRY_STDIN   ;
extern int ENTRY_STDOUT  ;

extern int ZOEM_TRACE_PREVIOUS;
extern int ZOEM_TRACE_DEFAULT ;
extern int ZOEM_TRACE_ALL     ;
extern int ZOEM_TRACE_ALL_LONG;

extern int ZOEM_TRACE_LONG    ;
extern int ZOEM_TRACE_KEYS    ;
extern int ZOEM_TRACE_ARGS    ;
extern int ZOEM_TRACE_DEFS    ;
extern int ZOEM_TRACE_SCOPES  ;
extern int ZOEM_TRACE_SEGS    ;
extern int ZOEM_TRACE_OUTPUT  ;
extern int ZOEM_TRACE_REGEX   ;
extern int ZOEM_TRACE_HASH    ;
extern int ZOEM_TRACE_SYSTEM  ;
extern int ZOEM_TRACE_LET     ;
extern int ZOEM_TRACE_IO      ;

extern int stressWrite        ;

#endif

